## lua-rexlib 2.4.0

=== Makefile ===
# Makefile for lrexlib

# See src/*.mak for user-definable settings

POSIX = src/posix
PCRE = src/pcre
ONIG = src/oniguruma

all: build test

build: build_pcre build_posix build_onig

test: test_pcre test_posix test_onig

clean: clean_pcre clean_posix clean_onig

build_pcre:
	make -C $(PCRE) -f rex_pcre.mak

build_posix:
	make -C $(POSIX) -f rex_posix.mak

build_onig:
	make -C $(ONIG) -f rex_onig.mak

test_pcre:
	cd test && lua ./runtest.lua -d../$(PCRE) pcre

test_posix:
	cd test && lua ./runtest.lua -d../$(POSIX) posix

test_onig:
	cd test && lua ./runtest.lua -d../$(ONIG) onig

clean_pcre:
	make -C $(PCRE) -f rex_pcre.mak clean

clean_posix:
	make -C $(POSIX) -f rex_posix.mak clean

clean_onig:
	make -C $(ONIG) -f rex_onig.mak clean

.PHONY: all build test clean build_pcre test_pcre clean_pcre build_posix \
  test_posix clean_posix build_onig test_onig clean_onig

=== windows/mingw/Makefile ===
# Makefile for lrexlib

all: build test

build:
	make -f rex_pcre.mak
	make -f rex_spencer.mak
	make -f rex_onig.mak

test:
	make -f rex_pcre.mak test
	make -f rex_spencer.mak test
	make -f rex_onig.mak test

install:
	make -f rex_pcre.mak install
	make -f rex_spencer.mak install
	make -f rex_onig.mak install

clean:
	make -f rex_pcre.mak clean
	make -f rex_spencer.mak clean
	make -f rex_onig.mak clean


.PHONY: all build test install clean

## lua-rexlib 2.5.3

=== Makefile ===
# Makefile for lrexlib

# See src/*/Makefile and src/defaults.mak for user-definable settings

include src/defaults.mak

REGNAMES = gnu pcre posix oniguruma tre
PROJECT = lrexlib
VERSION = $(V).$(MINORV)
PROJECT_VERSIONED = $(PROJECT)-$(VERSION)
DISTFILE = $(PROJECT_VERSIONED).zip

all:
	@for i in $(REGNAMES); do \
	  make -C src/$$i; \
	done
	@make -C doc

check: all
	@for i in $(REGNAMES); do \
	  make -C src/$$i check; \
	done

clean:
	@for i in $(REGNAMES); do \
	  make -C src/$$i clean; \
	done
	@make -C doc clean

dist: all
	git2cl > ChangeLog
	cd .. && rm -f $(DISTFILE) && zip $(DISTFILE) -r $(PROJECT) -x "lrexlib/.git/*" "*.gitignore" "*.o" "*.a" "*.so" "*.so.*" "*.zip" "*SciTE.properties" "*scite.properties" && mv $(DISTFILE) $(PROJECT) && cd $(PROJECT) && unzip $(DISTFILE) && mv $(PROJECT) $(PROJECT_VERSIONED) && rm -f $(DISTFILE) && zip $(DISTFILE) -r $(PROJECT_VERSIONED) && rm -rf $(PROJECT_VERSIONED)

release:
	agrep -d 'Release' $(VERSION) NEWS | tail -n +3 | head -n -2 > release-notes && \
	git diff --exit-code && \
	git tag -a -m "Release tag" rel-`echo $(VERSION) | sed -e 's/\./-/g'` && \
	git push && \
	woger lua-l $(PROJECT) "$(PROJECT)" $(VERSION) "Lua binding for regex libraries" release-notes && \
	rm -f release-notes

=== doc/Makefile ===
# Documentation Makefile

APP = rst2html
CP  = cp -a
RM  = rm
IDX = ../README

.SUFFIXES: .txt .html

CSS = --stylesheet-path=lrexlib.css --link-stylesheet
HDR = --initial-header-level=2
DT  = --date --time

PAGES = index.html manual.html

.txt.html:
	$(APP) $(CSS) $(HDR) $(DT) $< $@

all: $(PAGES)

index.txt: $(IDX)
	$(CP) $< $@

clean:
	$(RM) $(PAGES) index.txt

=== src/gnu/Makefile ===
# makefile for rex_gnu library

include ../defaults.mak

# === USER SETTINGS ===
# ===========================================================================

# These are default values.
INC =
LIB =

# If the default settings don't work for your system,
# try to uncomment and edit the settings below.
# The default settings below work with a libgnu.a in the current directory,
# copied from any libgnu.a built with the regex module.
#INC = -I. -DREX_GNU_INCLUDE='"regex.h"'
#LIB = -L. -lgnu

# Regex library name
REGNAME = gnu

# ===========================================================================
# === END OF USER SETTINGS ===

OBJ    = lgnu.o ../common.o

include ../common.mak

# static GNU regexp library binding
ar_gnu: $(TRG_AR)

# dynamic GNU regexp library binding
so_gnu: $(TRG_SO)

# Dependencies
lgnu.o: lgnu.c ../common.h ../algo.h
../common.o: ../common.c ../common.h

# (End of Makefile)

=== src/oniguruma/Makefile ===
# makefile for rex_onig library

include ../defaults.mak

# === USER SETTINGS ===
# ===========================================================================

# These are default values.
INC =
LIB = -lonig

# If the default settings don't work for your system,
# try to uncomment and edit the settings below.
#INC =
#LIB = -lonig

# Target name
REGNAME = onig

# ===========================================================================
# === END OF USER SETTINGS ===

OBJ    = lonig.o lonig_f.o ../common.o

include ../common.mak

# static Oniguruma regexp library binding
ar_onig: $(TRG_AR)

# dynamic Oniguruma regexp library binding
so_onig: $(TRG_SO)

# Dependencies
lonig.o: lonig.c ../common.h ../algo.h
lonig_f.o: lonig_f.c ../common.h
../common.o: ../common.c ../common.h

# (End of Makefile)

=== src/tre/Makefile ===
# makefile for rex_tre library

include ../defaults.mak

# === USER SETTINGS ===
# ===========================================================================

# These are default values.
INC =
LIB = -ltre

# If the default settings don't work for your system,
# try to uncomment and edit the settings below.
#INC = -I/usr/include
#LIB = -lc

# WARNING:
#   Make sure you set both the INC and LIB variables correctly, as
#   otherwise you risk using a header file and library that do not
#   match, and you may well get segmentation faults (or worse).

# Target name
REGNAME = tre

# ===========================================================================
# === END OF USER SETTINGS ===

OBJ    = ltre.o ../common.o

include ../common.mak

# static TRE regexp library binding
ar_tre: $(TRG_AR)

# dynamic TRE regexp library binding
so_tre: $(TRG_SO)

# Dependencies
ltre.o: ltre.c ../common.h ../algo.h
../common.o: ../common.c ../common.h

# (End of Makefile)

=== windows/mingw/Makefile ===
# Makefile for lrexlib

MKFILES = \
  rex_pcre.mak    \
  rex_spencer.mak \
  rex_onig.mak    \
  rex_gnu.mak     \
  rex_tre.mak

LOOP = @for %%d in ($(MKFILES)) do $(MAKE) -f %%d

all: build test

build:
	$(LOOP)

test:
	$(LOOP) test

install:
	$(LOOP) install

clean:
	$(LOOP) clean

.PHONY: all build test install clean

=== debian/changelog ===
lua-rexlib (2.5.3-2) unstable; urgency=low

  * multi-arch (dh >= 8.1.3, lua5.1-policy >= 32)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 00:56:56 +0200

lua-rexlib (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Removed patch fix-align-arm 
  * Updated standards-version to 3.9.2, no changes 
  * Rebuild against lua5.1-policy-dev >= 27 (Closes: #622541) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Apr 2011 20:34:55 +0200

lua-rexlib (2.4.0-2) unstable; urgency=low

  * Add upstream patch to fix memory alignment problems on ARM. 
    (Closes: #598947)
  * Fixed copyright, some files were under public domain, kudos to 
    Torsten Werner 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 07 Nov 2010 10:37:33 +0100

lua-rexlib (2.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #538230)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 20 Aug 2009 17:02:51 +0200

=== debian/control ===
Source: lua-rexlib
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), libpcre3-dev, quilt (>= 0.40), libonig-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-rexlib
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-rexlib
Homepage: http://lrexlib.luaforge.net/

Package: liblua5.1-rex-pcre0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Perl regular expressions library for the Lua language version 5.1
 This package provides bindings for Perl regular expressions to the Lua
 language.

Package: liblua5.1-rex-pcre-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-rex-pcre0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: PCRE development files for the Lua language version 5.1
 This package contains the development files of the PCRE lrexlib lua5.1
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-rex-posix0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: POSIX regular expressions library for the Lua language version 5.1
 This package provides bindings for POSIX regular expressions to the Lua
 language.

Package: liblua5.1-rex-posix-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-rex-posix0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: POSIX regex development files for the Lua language version 5.1
 This package contains the development files of the POSIX lrexlib lua5.1
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-rex-onig0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Onig regular expressions library for the Lua language version 5.1
 This package provides bindings for Oniguruma regular expressions to the Lua
 language.

Package: liblua5.1-rex-onig-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: liblua5.1-rex-onig0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Onig regex development files for the Lua language version 5.1
 This package contains the development files of the Onig lrexlib lua5.1
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-rex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation of the rex library for the Lua language version 5.1
 Documentation of all liblua5.1-rex-* modules is shipped in this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-rexlib
#
version=3
http://luaforge.net/frs/?group_id=63  /frs/download.php/\d+/lrexlib-([\d\.]*).zip

## lua-rexlib 2.6.0

=== Makefile ===
--- 
+++ 
@@ -36,5 +36,6 @@
 	git diff --exit-code && \
 	git tag -a -m "Release tag" rel-`echo $(VERSION) | sed -e 's/\./-/g'` && \
 	git push && \
-	woger lua-l $(PROJECT) "$(PROJECT)" $(VERSION) "Lua binding for regex libraries" release-notes && \
+	woger lua-l $(PROJECT) "$(PROJECT)" $(VERSION) "Lua binding for regex libraries" release-notes
+	@cat release-notes && echo "Don't forget to release on LuaForge!"
 	rm -f release-notes

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 APP = rst2html
 CP  = cp -a
 RM  = rm
-IDX = ../README
+IDX = ../README.rst
 
 .SUFFIXES: .txt .html

=== src/gnu/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 # try to uncomment and edit the settings below.
 # The default settings below work with a libgnu.a in the current directory,
 # copied from any libgnu.a built with the regex module.
-#INC = -I. -DREX_GNU_INCLUDE='"regex.h"'
-#LIB = -L. -lgnu
+INC = -I. -DREX_GNU_INCLUDE='"regex.h"'
+LIB = -L. -lgnu
 
 # Regex library name
 REGNAME = gnu

=== src/pcre/Makefile ===
# makefile for rex_pcre library

include ../defaults.mak

# === USER SETTINGS ===
# ===========================================================================

# These are default values.
INC =
LIB = -lpcre

# If the default settings don't work for your system,
# try to uncomment and edit the settings below.
#INC =
#LIB = -lpcre

# Target name
REGNAME = pcre

# ===========================================================================
# === END OF USER SETTINGS ===

OBJ    = lpcre.o lpcre_f.o ../common.o

include ../common.mak

# static PCRE regexp library binding
ar_pcre: $(TRG_AR)

# dynamic PCRE regexp library binding
so_pcre: $(TRG_SO)

# Dependencies
lpcre.o: lpcre.c ../common.h ../algo.h
lpcre_f.o: lpcre_f.c ../common.h
../common.o: ../common.c ../common.h

# (End of Makefile)

=== src/posix/Makefile ===
# makefile for rex_posix library

include ../defaults.mak

# === USER SETTINGS ===
# ===========================================================================

# These are default values.
INC =
LIB =

# If the default settings don't work for your system,
# try to uncomment and edit the settings below.
#INC =
#LIB = -lc

# WARNING:
#   If you want to use a POSIX regex library that is not the system
#   default, make sure you set both the INC and LIB variables correctly,
#   as if a header file and library are used which do not match, you may
#   well get segmentation faults (or worse).

# The following lines work for the rxspencer library, when installed
# under /usr (note the above warning!)
#INC = -I/usr/include/rxspencer
#LIB = -lrxspencer

# Target name
REGNAME = posix

# ===========================================================================
# === END OF USER SETTINGS ===

OBJ    = lposix.o ../common.o

include ../common.mak

# static POSIX regexp library binding
ar_posix: $(TRG_AR)

# dynamic POSIX regexp library binding
so_posix: $(TRG_SO)

# Dependencies
lposix.o: lposix.c ../common.h ../algo.h
../common.o: ../common.c ../common.h

# (End of Makefile)

=== src/tre/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # ===========================================================================
 # === END OF USER SETTINGS ===
 
-OBJ    = ltre.o ../common.o
+OBJ    = ltre.o ../common.o # ltre_w.o
 
 include ../common.mak
 
@@ -37,6 +37,7 @@
 
 # Dependencies
 ltre.o: ltre.c ../common.h ../algo.h
+ltre_w.o: ltre_w.c ../common.h ../algo.h
 ../common.o: ../common.c ../common.h
 
 # (End of Makefile)

=== windows/mingw/Makefile ===
# Makefile for lrexlib

MKFILES = \
  rex_gnu.mak     \
  rex_onig.mak    \
  rex_pcre.mak    \
  rex_spencer.mak \
  rex_tre.mak

LOOP = @for %%d in ($(MKFILES)) do $(MAKE) -f %%d

all: build test

build:
	$(LOOP)

test:
	$(LOOP) test

install:
	$(LOOP) install

clean:
	del *.o *.def *.dll

.PHONY: all build test install clean

=== debian/changelog ===
lua-rexlib (2.6.0-1) unstable; urgency=low

  * New upstream release
  * New backend: TRE, regex with approximated matching 
  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * Update Standards-Version to 3.9.3, no changes
  * debian/compat set to 9 
  * Update watch file 
  * Update copyright file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Apr 2012 17:48:20 +0200

=== debian/control ===
Source: lua-rexlib
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), libpcre3-dev, libonig-dev, libtre-dev, dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-rexlib
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-rexlib
Homepage: http://lrexlib.luaforge.net/

Package: lua-rex-pcre
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-rex-pcre0 (<< 2.6.0-1~)
Breaks: liblua5.1-rex-pcre0 (<< 2.6.0-1~)
Provides: liblua5.1-rex-pcre0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Perl regular expressions library for the Lua language
 This package provides bindings for Perl regular expressions to the Lua
 language.

Package: lua-rex-pcre-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-rex-pcre (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-rex-pcre-dev (<< 2.6.0-1~)
Breaks: liblua5.1-rex-pcre-dev (<< 2.6.0-1~)
Provides: liblua5.1-rex-pcre-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: PCRE development files for the Lua language
 This package contains the development files of the PCRE lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-posix
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-rex-posix0 (<< 2.6.0-1~)
Breaks: liblua5.1-rex-posix0 (<< 2.6.0-1~)
Provides: liblua5.1-rex-posix0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: POSIX regular expressions library for the Lua language
 This package provides bindings for POSIX regular expressions to the Lua
 language.

Package: lua-rex-posix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-rex-posix (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-rex-posix-dev (<< 2.6.0-1~)
Breaks: liblua5.1-rex-posix-dev (<< 2.6.0-1~)
Provides: liblua5.1-rex-posix-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: POSIX regex development files for the Lua language
 This package contains the development files of the POSIX lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-onig
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-rex-onig0 (<< 2.6.0-1~)
Breaks: liblua5.1-rex-onig0 (<< 2.6.0-1~)
Provides: liblua5.1-rex-onig0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Onig regular expressions library for the Lua language
 This package provides bindings for Oniguruma regular expressions to the Lua
 language.

Package: lua-rex-onig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-rex-onig (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-rex-onig-dev (<< 2.6.0-1~)
Breaks: liblua5.1-rex-onig-dev (<< 2.6.0-1~)
Provides: liblua5.1-rex-onig-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Onig regex development files for the Lua language
 This package contains the development files of the Onig lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-tre
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: TRE regular expressions library for the Lua language
 This package provides bindings for TRE regular expressions to the Lua
 language.

Package: lua-rex-tre-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-rex-tre (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: TRE development files for the Lua language
 This package contains the development files of the TRE lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation of the rex library for the Lua language
 Documentation of all lua-rex-* modules is shipped in this package.


Package: liblua5.1-rex-pcre0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-pcre
Description: Transitional package for lua-rex-pcre
 This is a transitional package to ease upgrades to the lua-rex-pcre
 package. It can safely be removed.

Package: liblua5.1-rex-pcre-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-pcre-dev
Description: Transitional package for lua-rex-pcre-dev
 This is a transitional package to ease upgrades to the lua-rex-pcre-dev
 package. It can safely be removed.

Package: liblua5.1-rex-posix0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-posix
Description: Transitional package for lua-rex-posix
 This is a transitional package to ease upgrades to the lua-rex-posix
 package. It can safely be removed.

Package: liblua5.1-rex-posix-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-posix-dev
Description: Transitional package for lua-rex-posix-dev
 This is a transitional package to ease upgrades to the lua-rex-posix-dev
 package. It can safely be removed.

Package: liblua5.1-rex-onig-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-onig-dev
Description: Transitional package for lua-rex-onig-dev
 This is a transitional package to ease upgrades to the lua-rex-onig-dev
 package. It can safely be removed.

Package: liblua5.1-rex-onig0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rex-onig
Description: Transitional package for lua-rex-onig
 This is a transitional package to ease upgrades to the lua-rex-onig
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_test:
	cp -f test/*.lua .
	dh_auto_test
override_dh_auto_clean:
	rm -f *.lua
	dh_auto_clean

## lua-rexlib 2.7.2

=== Makefile ===
# Makefile for lrexlib

VERSION = 2.7.2
PROJECT = lrexlib
PROJECT_VERSIONED = $(PROJECT)-$(VERSION)

# Commands
LUA = lua
LUAROCKS = luarocks
CP = cp -a
RM = rm
RST2HTML = rst2html
REGNAMES = gnu pcre posix oniguruma tre
LUAROCKS_COMMAND = make


.SUFFIXES: .txt .html

HTML = doc/index.html doc/manual.html

.txt.html:
	$(RST2HTML) --stylesheet-path=doc/lrexlib.css --link-stylesheet --initial-header-level=2 --date --time $< $@

build:
	$(MAKE) install LUAROCKS="$(LUAROCKS) --tree=luarocks"

install: rockspecs
	for i in *.rockspec; do \
	  $(LUAROCKS) $(LUAROCKS_COMMAND) $$i; \
	done

rockspecs:
	rm -f *.rockspec
	$(LUA) mkrockspecs.lua $(VERSION)

doc/index.txt: README.rst
	$(CP) $< $@

check: build
	for i in $(REGNAMES); do \
	  LUA_PATH="test/?.lua;$(LUA_PATH)" $(LUA) test/runtest.lua -dsrc/$$i $$i; \
	done

clean:
	$(RM) $(HTML) doc/index.txt *.rockspec

release: check
	agrep -d 'Release' $(VERSION) NEWS | tail -n +3 | head -n -2 > release-notes && \
	git diff --exit-code && \
	git tag -a -m "Release tag" rel-`echo $(VERSION) | sed -e 's/\./-/g'` && \
	git push && git push --tags && \
	$(MAKE) build LUAROCKS_COMMAND=build && \
	woger lua package=$(PROJECT) package_name=$(PROJECT) version=$(VERSION) description="Lua binding for regex libraries" notes=release-notes home="https://github.com/rrthomas/$(PROJECT)"
	rm -f release-notes

=== debian/changelog ===
lua-rexlib (2.7.2-4build2) cosmic; urgency=medium

  * No-change rebuild for libonig soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 May 2018 14:26:52 +0000

lua-rexlib (2.7.2-4build1) zesty; urgency=medium

  * No-change rebuild against latest libonig

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 19:43:50 -0500

lua-rexlib (2.7.2-4) unstable; urgency=medium

  * Compile onig backend using pkg-config (patch by Jörg Frings-Fürst)
    (Close: #824909) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 06 Sep 2016 16:35:22 +0200

lua-rexlib (2.7.2-3) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723491)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:50 +0200

lua-rexlib (2.7.2-2) unstable; urgency=low

  * Add copyright notice about doc/*.css (thanks "a new ftptrainee") 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Aug 2013 00:38:18 +0200

lua-rexlib (2.7.2-1) unstable; urgency=low

  * New upstream release
  * Packaging moved to git
  * Removed transitional packages
  * New package for GNU variant of regexp

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 17:26:22 +0200

lua-rexlib (2.6.0-2) unstable; urgency=low

  * Cleaned up debian/rules
  * Build depend on dh-lua >= 12 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 17:23:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell grep "^VERSION *=" Makefile | cut -d = -f 2 | sed 's/ //g')

%:
	DEB_CFLAGS_MAINT_APPEND=-DVERSION='"\"$(VERSION)\""' dh $@ --buildsystem=lua --with lua

override_dh_installdocs:
	dh_installdocs -X.gitignore

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-rexlib
#
version=3
https://github.com/rrthomas/lrexlib/downloads .*/lrexlib-(.+).zip

## lua-rexlib 2.9.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for lrexlib
 
-VERSION = 2.7.2
+VERSION = 2.9.1
 PROJECT = lrexlib
 PROJECT_VERSIONED = $(PROJECT)-$(VERSION)
 
@@ -8,9 +8,9 @@
 LUA = lua
 LUAROCKS = luarocks
 CP = cp -a
-RM = rm
+RM = rm -f
 RST2HTML = rst2html
-REGNAMES = gnu pcre posix oniguruma tre
+REGNAMES = gnu pcre pcre2 posix oniguruma tre
 LUAROCKS_COMMAND = make
 
 
@@ -31,14 +31,14 @@
 
 rockspecs:
 	rm -f *.rockspec
-	$(LUA) mkrockspecs.lua $(VERSION)
+	$(LUA) mkrockspecs.lua $(PROJECT) $(VERSION)
 
 doc/index.txt: README.rst
 	$(CP) $< $@
 
 check: build
 	for i in $(REGNAMES); do \
-	  LUA_PATH="test/?.lua;$(LUA_PATH)" $(LUA) test/runtest.lua -dsrc/$$i $$i; \
+	  LUA_PATH="test/?.lua;$(LUA_PATH);" $(LUA) test/runtest.lua -dsrc/$$i $$i; \
 	done
 
 clean:
@@ -50,5 +50,5 @@
 	git tag -a -m "Release tag" rel-`echo $(VERSION) | sed -e 's/\./-/g'` && \
 	git push && git push --tags && \
 	$(MAKE) build LUAROCKS_COMMAND=build && \
-	woger lua package=$(PROJECT) package_name=$(PROJECT) version=$(VERSION) description="Lua binding for regex libraries" notes=release-notes home="https://github.com/rrthomas/$(PROJECT)"
+	woger lua package=$(PROJECT) package_name=$(PROJECT) version=$(VERSION) description="Lua binding for regex libraries" notes=release-notes home="`$(LUA) -e'version="'$(VERSION)'"; flavour="none"; t = require "rockspecs"; print(t.default.description.homepage)'`"
 	rm -f release-notes

=== debian/changelog ===
lua-rexlib (2.9.1-2) unstable; urgency=medium

  * Source-only upload.
  * Close bugreports actually fixed in 2.9.1-1.
    - Drop support for PCRE3 (closes: #1000092).
    - Build for Lua 5.3 and 5.4 (closes: #881008).
    - Update to 2.9.1 to support PCRE2 (closes: #963624).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 07 Dec 2021 11:51:33 +0300

lua-rexlib (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Incorporate the NMU by Holger Levsen.
  * New maintainer Debian Lua Team (closes: #995519).
  * Add myself to the uploaders list.
  * Switch from PCRE to PCRE2 regex engine.
  * Add builds for Lua 5.3 and 5.4.
  * Bump debhelper compatibility level to 12.
  * Bump standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 29 Nov 2021 13:48:24 +0300

lua-rexlib (2.7.2-4.1) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:28:19 +0100

=== debian/control ===
Source: lua-rexlib
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 12), libpcre2-dev, libonig-dev, libtre-dev, dh-lua (>= 27)
Build-Conflicts: libpcre3-dev
Standards-Version: 4.6.0
Homepage: http://lrexlib.luaforge.net/
Vcs-Git: https://salsa.debian.org/lua-team/lua-rexlib.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-rexlib

Package: lua-rex-pcre2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Perl regular expressions library (PCRE2) for the Lua language
 This package provides bindings for Perl regular expressions (PCRE2) to the Lua
 language.

Package: lua-rex-pcre2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lua-rex-pcre2 (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: PCRE2 development files for the Lua language
 This package contains the development files of the PCRE2 lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-posix
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: POSIX regular expressions library for the Lua language
 This package provides bindings for POSIX regular expressions to the Lua
 language.

Package: lua-rex-posix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lua-rex-posix (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: POSIX regex development files for the Lua language
 This package contains the development files of the POSIX lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-onig
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Onig regular expressions library for the Lua language
 This package provides bindings for Oniguruma regular expressions to the Lua
 language.

Package: lua-rex-onig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lua-rex-onig (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Onig regex development files for the Lua language
 This package contains the development files of the Onig lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-tre
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: TRE regular expressions library for the Lua language
 This package provides bindings for TRE regular expressions to the Lua
 language.

Package: lua-rex-tre-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lua-rex-tre (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: TRE development files for the Lua language
 This package contains the development files of the TRE lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-gnu
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: GNU regular expressions library for the Lua language
 This package provides bindings for GNU regular expressions to the Lua
 language.

Package: lua-rex-gnu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lua-rex-gnu (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: GNU development files for the Lua language
 This package contains the development files of the GNU lrexlib Lua
 bindings, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: lua-rex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation of the rex library for the Lua language
 Documentation of all lua-rex-* modules is shipped in this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-rexlib
#
version=4
opts="dversionmangle=s/\./-/g, oversionmangle=s/-/./g" \
https://github.com/rrthomas/lrexlib/tags .*/rel-(.+).tar.gz

## lua-rexlib 2.9.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for lrexlib
 
-VERSION = 2.9.1
+VERSION = 2.9.2
 PROJECT = lrexlib
 PROJECT_VERSIONED = $(PROJECT)-$(VERSION)
 
 # Commands
-LUA = lua
+LUA ?= lua
 LUAROCKS = luarocks
 CP = cp -a
 RM = rm -f
@@ -45,7 +45,7 @@
 	$(RM) $(HTML) doc/index.txt *.rockspec
 
 release: check
-	agrep -d 'Release' $(VERSION) NEWS | tail -n +3 | head -n -2 > release-notes && \
+	awk 'BEGIN { RS = "Release" } /'$(VERSION)'/' NEWS | tail -n +3 | head -n -2 > release-notes && \
 	git diff --exit-code && \
 	git tag -a -m "Release tag" rel-`echo $(VERSION) | sed -e 's/\./-/g'` && \
 	git push && git push --tags && \

=== windows/mingw/Makefile ===
--- 
+++ 
@@ -1,11 +1,20 @@
 # Makefile for lrexlib
 
+ifeq ($(DIRBIT),64)
+MKFILES = \
+  rex_onig.mak    \
+  rex_pcre.mak    \
+  rex_pcre2.mak   \
+  rex_tre.mak
+else
 MKFILES = \
   rex_gnu.mak     \
   rex_onig.mak    \
   rex_pcre.mak    \
+  rex_pcre2.mak   \
   rex_spencer.mak \
   rex_tre.mak
+endif
 
 LOOP = @for %%d in ($(MKFILES)) do $(MAKE) -f %%d

=== debian/changelog ===
lua-rexlib (2.9.2-4) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support
  * Move Homepage to Github

 -- Bastian Germann <bage@debian.org>  Wed, 31 Dec 2025 11:32:17 +0100

lua-rexlib (2.9.2-3) unstable; urgency=medium

  * Correct debian/not-installed file.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Mar 2024 19:07:40 +0300

lua-rexlib (2.9.2-2) unstable; urgency=medium

  * Fix implicit declaration of iswdigit() in src/tre/ltre_w.c
    (closes: #1066552).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Mar 2024 16:10:29 +0300

lua-rexlib (2.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 16 Nov 2023 14:52:36 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 12), libpcre2-dev, libonig-dev, libtre-dev, dh-lua (>= 27)
+Build-Depends: debhelper-compat (= 13), libpcre2-dev, libonig-dev, libtre-dev, dh-lua (>= 27)
 Build-Conflicts: libpcre3-dev
-Standards-Version: 4.6.0
-Homepage: http://lrexlib.luaforge.net/
+Standards-Version: 4.6.2
+Homepage: https://github.com/rrthomas/lrexlib
 Vcs-Git: https://salsa.debian.org/lua-team/lua-rexlib.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-rexlib
 
@@ -134,6 +134,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation of the rex library for the Lua language
  Documentation of all lua-rex-* modules is shipped in this package.
